summaryrefslogtreecommitdiffstats
path: root/ci/test_kvmfornfv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/test_kvmfornfv.sh')
-rwxr-xr-xci/test_kvmfornfv.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/ci/test_kvmfornfv.sh b/ci/test_kvmfornfv.sh
index 60dacd042..20bdaeefb 100755
--- a/ci/test_kvmfornfv.sh
+++ b/ci/test_kvmfornfv.sh
@@ -47,6 +47,8 @@ function cyclictest {
updateYaml
#Cleaning up the test environment before running cyclictest through yardstick.
env_clean
+ #Running PCM utility
+ collect_MBWInfo $test_type
#Creating a docker image with yardstick installed and launching ubuntu docker to run yardstick cyclic testcase
if runCyclicTest;then
cyclictest_result=`expr ${cyclictest_result} + 0`
@@ -54,6 +56,40 @@ function cyclictest {
echo "Test case execution FAILED for ${test_case} environment"
cyclictest_result=`expr ${cyclictest_result} + 1`
fi
+ echo "Terminating PCM Process"
+ sudo ssh root@${HOST_IP} "pid=\$(ps aux | grep 'pcm' | awk '{print \$2}' | head -1); echo \$pid |xargs kill -SIGTERM"
+}
+function collect_MBWInfo {
+ #Collecting the Memory Bandwidth Information using pcm-memory utility
+ source $WORKSPACE/ci/envs/host-config
+ testType=$1
+ timeStamp=$(date +%Y%m%d%H%M%S)
+ echo "Running PCM memory to collect memory bandwidth"
+ sudo ssh root@${HOST_IP} "mkdir -p /root/MBWInfo"
+ sudo ssh root@${HOST_IP} "${pcm_memory} 60 &>/root/MBWInfo/MBWInfo_${testType}_${timeStamp} &disown"
+}
+function install_pcm {
+ source $WORKSPACE/ci/envs/host-config
+ sudo ssh root@${HOST_IP} '
+ modelName=`cat /proc/cpuinfo | grep -i "model name" | uniq`
+ if echo "$modelName" | grep -i "xeon" ;then
+ echo "pcm utility supports $modelName processor"
+ else
+ echo "check for the pcm utility supported processors"
+ exit 1
+ fi
+ cd /root
+ if [ ! -d "pcm" ]; then
+ `git clone https://github.com/opcm/pcm`
+ cd pcm
+ make
+ echo "Disabling NMI Watchdog"
+ echo 0 > /proc/sys/kernel/nmi_watchdog
+ echo "To Access MSR registers installing msr-tools"
+ sudo yum install msr-tools
+ sudo modprobe msr
+ fi
+ '
}
function ftrace_disable {
@@ -67,6 +103,7 @@ function ftrace_disable {
if [ ${test_type} == "verify" ];then
HOST_IP="10.10.100.21"
test_time=1000 # 1s
+ install_pcm
if [ ${ftrace_enable} -eq '1' ]; then
for env in ${cyclictest_env_verify[@]}
do
@@ -99,6 +136,7 @@ if [ ${test_type} == "verify" ];then
elif [ ${test_type} == "daily" ];then
HOST_IP="10.10.100.22"
test_time=3600000 #1h
+ install_pcm
if [ ${test_name} == "packet_forward" ];then
packetForward
if [ ${packetforward_result} -ne 0 ] ; then